#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	
	Menu "Macros"
		"Affine_Table_Waves"
		"Affine_Table_Template"
	End
	
	Function Affine_Table_Waves( )
		SetDataFolder root:
		String/G G_Site, G_Hole, G_DataUsed
		Variable/G G_LastH
		String Site = G_Site, Hole = G_Hole, Dataused = G_DataUsed
		Variable LastH = G_LastH
		Prompt Site, "Site ( e.g. U1335 )"
		Prompt Hole, "Hole ( e.g. A, B, C )"
		Prompt DataUsed, "Data Used ( e.g. GRA & MS )"
		Prompt LastH, "Last H Core Before X ( e.g. 25 - Use \"999\" if only H )"
		DoPrompt "Affine_Table", Site, Hole, DataUsed, LastH; AbortOnValue( V_Flag ), 0
		G_Site = Site; G_Hole = Hole; G_Dataused = DataUsed; G_LastH = LastH
		WAVE Offsets = $Site + Hole + "_Offsets", Matrix = $Site + Hole + "_Coring_Matrix"
		WaveStats/Q Offsets
		
		String Folder = Site + "_Affine_Waves"
		NewDataFolder/O $Folder
		SetDataFolder Folder
		
		Make/O/T/N = ( V_Npnts ) $Site + Hole + "_Site", $Site + Hole + "_Hole", $Site + Hole + "_Comments"
		Make/O/T/N = ( V_Npnts ) $Site + Hole + "_Type", $Site + Hole + "_DataUsed", $Site + Hole + "_Shift"
		WAVE/T SiteW = $Site + Hole + "_Site", HoleW = $Site + Hole + "_Hole", CommentsW = $Site + Hole + "_Comments"
		WAVE/T TypeW = $Site + Hole + "_Type", DataUsedW = $Site + Hole + "_DataUsed", ShiftW = $Site + Hole + "_Shift"
		SiteW = Site; HoleW = Hole; DataUsedW = DataUsed; 
		If( LastH == 999 )
			TypeW[ 0, V_Npnts - 1 ] = "H"
		Else
			TypeW[ 0, LastH - 1 ] = "H"; TypeW[ LastH, V_Npnts - 1 ] = "X"
		EndIf

		Make/O/N = ( V_Npnts ) $Site + Hole + "_Core", $Site + Hole + "_CSF", $Site + Hole + "_CCSF"
		Make/O/N = ( V_Npnts ) $Site + Hole + "_CumOffset", $Site + Hole + "_DiffOffset", $Site + Hole + "_GrowthR"
		WAVE CoreW = $Site + Hole + "_Core", CSFW = $Site + Hole + "_CSF", CCSFW = $Site + Hole + "_CCSF"
		WAVE CumOffsetW = $Site + Hole + "_CumOffset", DiffOffsetW = $Site + Hole + "_DiffOffset"
		WAVE GrowthRW = $Site + Hole + "_GrowthR"
		CoreW = X + 1; CSFW = Matrix[ CoreW ][ 1 ][ 0 ]; CCSFW = Matrix[ CoreW ][ 1 ][ 2 ]
		CumOffsetW = CCSFW - CSFW; DiffOffsetW = CumOffsetW - Offsets; 
		GrowthRW = CCSFW / CSFW; GrowthRW[0] = nan		

		SetDataFolder root:
	End
	
	--------------------------------------------------------------------------------------------------------------
		
	Function Affine_Table_Template(  )
		String/G G_Site, G_Hole
		String Site = G_Site, Hole = G_Hole
		Prompt Site, "Site"
		Prompt Hole, "Hole"
		DoPrompt "AffineTable", Site, Hole; AbortOnValue( V_Flag ), 0

		String Folder = Site + "_Affine_Waves"
		SetDataFolder Folder
		
		WAVE/T SiteW = $Site + Hole + "_Site", HoleW = $Site + Hole + "_Hole", CommentsW = $Site + Hole + "_Comments"
		WAVE/T TypeW = $Site + Hole + "_Type", DataUsedW = $Site + Hole + "_DataUsed", ShiftW = $Site + Hole + "_Shift"
		WAVE CoreW = $Site + Hole + "_Core", CSFW = $Site + Hole + "_CSF", CCSFW = $Site + Hole + "_CCSF"
		WAVE CumOffsetW = $Site + Hole + "_CumOffset", DiffOffsetW = $Site + Hole + "_DiffOffset"
		WAVE GrowthRW = $Site + Hole + "_GrowthR"

		Edit/W=(447,45,1504,500) SiteW, HoleW, CoreW, TypeW, CSFW as Site + Hole + "_Affine"
		AppendToTable CCSFW,CumOffsetW,DiffOffsetW,GrowthRW,ShiftW
		AppendToTable DataUsedW,CommentsW
		ModifyTable format(Point)=1,alignment(SiteW)=1,alignment(HoleW)=1,alignment(CoreW)=1,alignment(TypeW)=1
		ModifyTable alignment(DataUsedW)=1,alignment(CSFW)=1,format(CSFW)=3
		ModifyTable digits(CSFW)=2,alignment(CCSFW)=1,format(CCSFW)=3
		ModifyTable digits(CCSFW)=2,alignment(CumOffsetW)=1,format(CumOffsetW)=3
		ModifyTable digits(CumOffsetW)=2,alignment(DiffOffsetW)=1,format(DiffOffsetW)=3
		ModifyTable digits(DiffOffsetW)=2,alignment(GrowthRW)=1,format(GrowthRW)=3
		ModifyTable digits(GrowthRW)=2,alignment(ShiftW)=1,alignment(DataUsedW)=1,alignment(CommentsW)=1
		
		SetDataFolder root:
	EndMacro
		
