#pragma rtGlobals=3		// Use modern global access method and strict wave access.

//	This function is used in stretching/squeezing operations to align tie points using the top and bottom depth axes.
//		It "stretches" the bottom axis (and data or images) to cover the same interval between 2 selected tie points
//		seen in the top depth axis (unstretched target and stretched data/image).

	Function AlignTiePointRange(  )
		SetDataFolder root:
			Variable/G G_Tie1, G_Tie2
			Variable Tie1 = G_Tie1, Tie2 = G_Tie2
			Prompt Tie1, "Tie 1"
			Prompt Tie2, "Tie 2"
			DoPrompt "AllignTiePoints", Tie1, Tie2; AbortOnValue V_Flag, 0
			G_Tie1 = Tie1; G_Tie2 = Tie2
			AlignTiePointRange_F( Tie1, Tie2 )
			Print "AlignTiePointRange_F(",Tie1,",",Tie2,")"
	End

---------------------------------------------------------------------------------------

	Function AlignTiePointRange_F( Tie1, Tie2 )
		Variable Tie1, Tie2
		Variable/G G_Tie1, G_Tie2
		Variable i = 0
		SetDataFolder root:
			Wave StretchTies, BaseTies
			If( Tie2 >= NumPnts( StretchTies ) )
				Abort "The larger tie number entered exceeds the deepest tie number."
			EndIf
			String S1=WinList("*",";","WIN:1"), S2
			Do
				S2=StringFromList(i,S1)
				SetAxis/Z/W=$S2 Bottom, StretchTies[ Tie1 ], StretchTies[ Tie2 ]
				SetAxis/Z/W=$S2 Top, BaseTies[ Tie1 ], BaseTies[ Tie2 ]
				i+=1;
			While(StrLen(S2))
			G_Tie1 = Tie1; G_Tie2 = Tie2
			If( StrLen( WinList( "DeltaTiesGraph", ";", "" ) ) )
				DoWindow/F DeltaTiesGraph; SetAxis Bottom G_Tie1, G_Tie2
			EndIf
			If( StrLen( WinList( "TieStrGraph", ";", "" ) ) )
				DoWindow/F TieStrGraph; SetAxis Bottom G_Tie1, G_Tie2
			EndIf

	End	
