#pragma rtGlobals=1		// Use modern global access method.

	Macro CSI_From_Cursor_A()
		String S_Hole,Depth_Type
		Variable Depth=HCsr(a),v1,v2
		Silent 1;
		v1=StrSearch(CsrWave(a),"U",0)
		v2=StrSearch(CsrWave(a),"_",v1)-1
		S_Hole=CsrWave(a)[v1,v2]
		If(StringMatch(CsrXWave(a),"CCSF"))
			Depth_Type="CCSF"
		Else
			Depth_Type="CSF"
		EndIf
		CSI_From_Depth(S_Hole, Depth, Depth_Type)
	EndMacro
	
	
	Function CSI_From_Depth(S_Hole, Depth,Depth_Type)
		String S_Hole,Depth_Type
		Variable Depth
		Prompt S_Hole, "Hole"
		Prompt Depth, "Depth"
		Prompt Depth_Type, "CSF or CCSF:"
		DoPrompt "", S_Hole,Depth,Depth_Type
		Variable Core,Section,Interval
		WAVE S_Matrix=$S_Hole+"_Coring_Matrix"
		Make/O/N=(DimSize(S_Matrix,0),DimSize(S_Matrix,1)) Temp1
		Make/O/n=10 Temp3
		If(StringMatch(Depth_Type,"CSF"))
			Temp1=S_Matrix[p][q][0]
		Else
			Temp1=S_Matrix[p][q][2]
		EndIf
		MatrixTranspose Temp1
		Duplicate/O Temp1 Temp2
		Temp1=(Temp1>Depth)
		FindLevel/Q Temp1, 1
		Core= Floor(V_LevelX/DimSize(Temp1,0))
		Section= Mod(V_LevelX,DimSize(Temp1,0))-1
		Interval=(Depth-Temp2[V_LevelX-1])*100
		If(Section==0)
			Core-=1
			Temp3=Temp2[p][Core]
			WaveStats/Q Temp3
			Section=V_MaxLoc
			Interval=(Depth-Temp3[V_MaxLoc])*100
		EndIf
		If(StringMatch(Depth_Type,"CSF"))
			Printf "%s   Core %d   Section %d   Interval %d   CSF %.2f\r",S_Hole,Core,Section,Interval, Depth
		Else
			Printf "$s   Core %d   Section %d   Interval %d   CCSF %.2f\r",S_Hole,Core,Section,Interval, Depth
		EndIf
		KillWaves/Z Temp1,Temp2,Temp3
	Endmacro
	
	-------------------------------------------------------------------
	
	Function CSI_From_Depth_2(S_Hole, Depth,Depth_Type)
		String S_Hole,Depth_Type
		Variable Depth
		Variable Core,Section,Interval
		Variable/G G_Core,G_Section,G_Interval,G_CSF,G_CCSF
		WAVE S_Matrix=$S_Hole+"_Coring_Matrix"
		S_Matrix[0][0][0]=nan
		Make/O/N=(DimSize(S_Matrix,0),DimSize(S_Matrix,1)) Temp1
		Make/O/n=10 Temp3
		If(StringMatch(Depth_Type,"CSF"))
			Temp1=S_Matrix[p][q][0]
		Else
			Temp1=S_Matrix[p][q][2]
		EndIf
		MatrixTranspose Temp1
		Duplicate/O Temp1 Temp2
		Temp1=(Temp1>Depth)
		FindLevel/Q Temp1, 1
		Core= Floor(V_LevelX/DimSize(Temp1,0))
		Section= Mod(V_LevelX,DimSize(Temp1,0))-1
		Interval=(Depth-Temp2[V_LevelX-1])*100
	//	print core,section,interval
		If(Section==0)
			Core-=1
			Temp3=Temp2[p][Core]
			WaveStats/Q Temp3
			Section=V_MaxLoc
			Interval=(Depth-Temp3[V_MaxLoc])*100
		EndIf
		G_Core=Core
		G_Section=Section
		G_Interval=Interval
		print S_Hole,core,section,interval
		G_CSF=S_Matrix[core][Section][0]+Interval/100
		G_CCSF=S_Matrix[core][Section][2]+Interval/100
	//	If(StringMatch(Depth_Type,"CSF"))
	//		Printf "%s   Core %d   Section %d   Interval %d   CSF %.2f\r",S_Hole,Core,Section,Interval, Depth
	//	Else
	//		Printf "$s   Core %d   Section %d   Interval %d   CCSF %.2f\r",S_Hole,Core,Section,Interval, Depth
	//	EndIf
	
		KillWaves/Z Temp1,Temp2,Temp3
	Endmacro
	
	----------------------------------------------------------------------
	
	Macro Convert_CSF_to_CCSF(S_Hole,CSF_Wave,CCSF_OutPut)
		String S_Hole,CSF_Wave,CCSF_OutPut
		Variable i=0
		Silent 1;
		PauseUpdate;
		Make/O/N=(NumPnts($CSF_Wave)) $CCSF_OutPut
		$CCSF_OutPut=NaN
		Do
			CSI_From_Depth_2(S_Hole,$CSF_Wave[i],"CSF")
			$CCSF_Output[i]=G_CCSF
			i+=1;
		While(I<NumPnts($CSF_Wave))
	EndMacro