#pragma rtGlobals=3		// Use modern global access method.
	
	Function Calculate_CCSF_Wave( )
		SetDataFolder root:
			String/G G_Hole, G_Technique
			String Hole = G_Hole, Technique = G_Technique
			String Site, Folder
			Prompt Hole, "Hole"
			Prompt Technique, "Technique (e.g. GRA, RSC,MS, XRF etc):"
			DoPrompt "Calculate_CCSF_Wave", Hole, Technique; AbortOnValue V_Flag, 0
			Calculate_CCSF_Wave_F( Hole, Technique )
			Print "Calculate_CCSF_Wave_F( \"" + Hole + "\", \"" + Technique + "\" ) "
	End

-------------------------------------------------------------------------------------------------------------------------------------	
	
	Function Calculate_CCSF_Wave_F( Hole, Technique )
		String Hole, Technique
		SetDataFolder root:
			String/G G_Hole, G_Technique
			String Site, Folder
			PauseUpdate;
			G_Hole = Hole; G_Technique = Technique
			Site = RemoveEnding( Hole )
			Folder = Site + "_" + Technique
			WAVE Offsets = $Hole + "_Offsets"
		SetDataFolder $Folder
			If( !Exists( Hole+"_"+Technique+"_CSF" ) )	// Checks to see if the CSF wave is present.
				SetDataFolder root:
				ABORT "There is no CSF wave for Hole " + Hole
			EndIf
			WAVE CSFWave = $Hole+"_"+Technique+"_CSF"
			WaveStats/Q CSFWave
			If( V_NumNaNs )		// Checks to see if there are NaN's in the data which will generate an eror message ( but the function will work ).
				DoAlert 0, "There are blanks in the CSF data.\r  The function will work but may generate\r  an \"index out of range\" error message."
			EndIf
			WAVE CoreWave = $Hole + "_" + Technique + "_Core"
			If( !Exists( Hole + "_" + Technique + "_CCSF" ) )
				Duplicate/O CSFWAVE $Hole + "_" + Technique + "_CCSF"
			EndIf
			WAVE CCSFWave = $Hole + "_" + Technique + "_CCSF"
			CCSFWave = nan
			CCSFWave = Offsets[ CoreWave ]
			CCSFWave += CSFWave
		SetDataFolder root:
	End Macro
