﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


// Written 29JUN2017 and added to Splice_Images().

	Function CheckImages4Splicing( Site, Splice_Format )
			String Site, Splice_Format
			Variable i, ReturnValue
			String ImageFldr, Image
		SetDataFolder root:
		
		SetDataFolder $Site + "_" + Splice_Format
			WAVE Core_Top, CCSF_Top, CCSF_Bottom, Core_Bottom
			WAVE/T Hole_Top, Hole_Bottom
		SetDataFolder root:
			If( StringMatch( Splice_Format, "Splice_intervals" ) ) // this is for the splice interval format
				For( i = 0; i < NumPnts( Core_Top ); i += 1 )
					ImageFldr = Site + Hole_Top[ i ] + "_S2"
					If( Core_Top[ i ] < 10 )
						Image = "S2_" + Site + Hole_Top[ i ] + "_0" + Num2Str( Core_Top[ i ] )
					Else
						Image = "S2_" + Site + Hole_Top[ i ] + "_" + Num2Str( Core_Top[ i ] )
					EndIf
				SetDataFolder $ImageFldr
					If( CCSF_Top[ i ] < LeftX( $Image ) || CCSF_Bottom[ i ] > RightX( $Image ) )
						Print "Splice section range outside of depth range for " + Image
						Print "\t\t Splice interval " + Num2Str( CCSF_Top[ i ] ) + "  to  " +  Num2Str( CCSF_Bottom[ i ] )
						Print "\t\t Core image range " + Num2Str( LeftX( $Image ) ) + "  to  " +  Num2Str( RightX( $Image ) )
						ReturnValue = 1
					EndIf
				SetDataFolder root:	
				EndFor
			Else // this is for splice tie format
				For( i = 0; i < NumPnts( Core_Top ); i += 1 )
					If( i == 0 ) // this is for the special case of the first interval. The top of this interval is not included in the table.
							ImageFldr = Site + Hole_Bottom[ 0 ] + "_S2"
							Image = "S2_" + Site + Hole_Bottom[ 0 ] + "_0" + Num2Str( Core_Bottom[ i ] )
					SetDataFolder $ImageFldr
						If( 0 < LeftX( $Image ) || CCSF_Bottom[ 0 ] > RightX( $Image ) )
							Print "Splice section range outside of depth range for " + Image
							Print "\t\t Splice interval " + Num2Str( 0 ) + "  to  " +  Num2Str( CCSF_Bottom[ 0 ] )
							Print "\t\t Core image range " + Num2Str( LeftX( $Image ) ) + "  to  " +  Num2Str( RightX( $Image ) )
							ReturnValue = 1
						EndIf
					SetDataFolder root:	
					EndIf
					ImageFldr = Site + Hole_Top[ i ] + "_S2"
					If( Core_Top[ i ] < 10 )
						Image = "S2_" + Site + Hole_Top[ i ] + "_0" + Num2Str( Core_Top[ i ] )
					Else
						Image = "S2_" + Site + Hole_Top[ i ] + "_" + Num2Str( Core_Top[ i ] )
					EndIf
				SetDataFolder $ImageFldr
					If( CCSF_Top[ i ] < LeftX( $Image ) || CCSF_Bottom[ i + 1 ] > RightX( $Image ) )
						Print "Splice section range outside of depth range for " + Image
						Print "\t\t Splice interval " + Num2Str( CCSF_Top[ i ] ) + "  to  " +  Num2Str( CCSF_Bottom[ i + 1 ] )
						Print "\t\t Core image range " + Num2Str( LeftX( $Image ) ) + "  to  " +  Num2Str( RightX( $Image ) )
						ReturnValue = 1
					EndIf
				SetDataFolder root:	
				EndFor
			EndIf
			Return ReturnValue
	End
	
	