﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Menu "CutCoreDescriptions"
		"LoadCoreDescriptionPage/1"
		"CutLeftCoreDescription/2"
		"CutRightCoreDescription/3"
		"ResetCursors"
	End
	
	-------------------------
	
	Function LoadCoreDescriptionPage( )
		SetDataFolder root:
			ImageLoad/T=jpeg/O/Q/N=DescriptionPage/P = DescriptionPath 
			Print S_FileName
			WAVE DescriptionPage
			Redimension/N=(-1,-1,1) DescriptionPage
			If( ItemsInList( WinList( "DescriptionWindow", ";", "" ) ) < 1 ) 
				Display;DelayUpdate
				AppendImage DescriptionPage	
				SetAxis/A/R left
			EndIf
				EXECUTE "DoWindow/C DescriptionWindow"		
			FindTopCorners( )
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) A
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) B
	End		
	
-------------------------------------------------------

	Function CutLeftCoreDescription()
		SetDataFolder root:
			Variable/G G_CoreNumber
			Variable CoreNumber = G_CoreNumber + 1
			String/G G_Hole, S_FileName
			String Hole = G_Hole, HoleAndCore
			WAVE LeftDescCorner
			PauseUpdate;
			Prompt Hole, "Hole"
			Prompt CoreNumber, "Core Number"
			DoPrompt "CutCoreDescription", Hole, CoreNumber; AbortOnValue V_Flag, 0
			G_Hole = Hole; G_CoreNumber = CoreNumber
			If( CoreNumber < 10 )
				HoleAndCore = Hole + "_0" + Num2Str( CoreNumber )
			Else
				HoleAndCore = Hole + "_" + Num2Str( CoreNumber )			
			EndIf
			Variable Bottom = FindLeftBottom( )
		NewDataFolder/O/S $Hole + "_CoreDescriptions"
			Make/B/U/O/N = ( ( 668 ), Bottom - LeftDescCorner[ 1 ] ) $HoleAndCore + "_Description" 
			WAVE Description = $HoleAndCore + "_Description"
		SetDataFolder root:
			WAVE DescriptionPage
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) A
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) B
			Cursor/I A DescriptionPage LeftDescCorner[ 0 ], LeftDescCorner[ 1 ]
			Description[][] = DescriptionPage[ p + LeftDescCorner[ 0 ] ][ q + LeftDescCorner[ 1 ] ]
			Duplicate/O Description TempDesc
			If( ItemsInList( WinList( "TempWindow", ";", "" ) ) < 1 ) 
				Display;DelayUpdate
				AppendImage TempDesc	
				SetAxis/A/R left
				EXECUTE "DoWindow/C TempWindow"		
			EndIf
	End

-------------------------------------------	
	
	Function FindLeftBottom( )
		Wave DescriptionPage, LeftDescCorner
		Make/O/N = 600 TestLine
		Variable i		
		For( i = LeftDescCorner[ 1 ] + 5; i < 1000; i += 1 )
			TestLine = DescriptionPage[ p + LeftDescCorner[ 0 ] ][ i ]
			TestLine = TestLine < 200
			If( Sum( TestLine ) > 300 )
			 Cursor/I B DescriptionPage LeftDescCorner[ 0 ] + 667, i
			 Break;
			EndIf
		EndFor
		KillWaves/Z TestLine
		Return i
	End

--------------------------------------------------------------

	Function CutRightCoreDescription()
		SetDataFolder root:
			Variable/G G_CoreNumber
			Variable CoreNumber = G_CoreNumber + 1
			String/G G_Hole, S_FileName
			String Hole = G_Hole, HoleAndCore
			WAVE RightDescCorner
			DoWindow/F DescriptionWindow
			PauseUpdate;
			Prompt Hole, "Hole"
			Prompt CoreNumber, "Core Number"
			DoPrompt "CutCoreDescription", Hole, CoreNumber; AbortOnValue V_Flag, 0
			G_Hole = Hole; G_CoreNumber = CoreNumber
			If( CoreNumber < 10 )
				HoleAndCore = Hole + "_0" + Num2Str( CoreNumber )
			Else
				HoleAndCore = Hole + "_" + Num2Str( CoreNumber )			
			EndIf
			Variable Bottom = FindRightBottom( )
		NewDataFolder/O/S $Hole + "_CoreDescriptions"
			Make/B/U/O/N = ( ( 668 ), Bottom -RightDescCorner[ 1 ] ) $HoleAndCore + "_Description" 
			WAVE Description = $HoleAndCore + "_Description"
		SetDataFolder root:
			WAVE DescriptionPage
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) A 
			Cursor/A=1/H=1/M/S=1/C=(65535,0,0) B 
			Cursor/I A DescriptionPage RightDescCorner[ 0 ], RightDescCorner[ 1 ]
			Description[][] = DescriptionPage[ p + RightDescCorner[ 0 ] ][ q + RightDescCorner[ 1 ] ]
			Duplicate/O Description TempDesc
			If( ItemsInList( WinList( "TempWindow", ";", "" ) ) < 1 ) 
				Display;DelayUpdate
				AppendImage TempDesc	
				SetAxis/A/R left
				EXECUTE "DoWindow/C TempWindow"		
			EndIf	
	End
	
------------------------------------------
	
	Function FindRightBottom( )
		Wave DescriptionPage, RightDescCorner
		Make/O/N = 600 TestLine
		Variable i		
		For( i = RightDescCorner[ 1 ] + 5; i < 1000; i += 1 )
			TestLine = DescriptionPage[ p + RightDescCorner[ 0 ] ][ i ]
			TestLine = TestLine < 200
			If( Sum( TestLine ) > 300 )
			 Cursor/I B  DescriptionPage RightDescCorner[ 0 ] + 667, i
			 Break;
			EndIf
		EndFor
		KillWaves/Z TestLine
		Return i
	End
	
------------------------------------------------

	Function FindTopCorners( )
		WAVE DescriptionPage
		Make/O/N = 600 TestLine
		Make/O/N = 2 LeftDescCorner, RightDescCorner
		Variable i, j = 0		
		For( i = 0; j < 2; i += 1 )
			TestLine = DescriptionPage[ p + 100 ][ i ]
			TestLine = TestLine < 200
			If( Sum( TestLine ) > 400 )
				Cursor/I B DescriptionPage 120, i
				If( j == 0 )
					i += 5
				EndIf
				j += 1
			EndIf
		EndFor
		For( j = 50; j < 500; j += 1 )
			TestLine = DescriptionPage[ j ][ q + i ]
			TestLine = TestLine < 200
			If( Sum( TestLine ) > 400 )
			 	Cursor/I A DescriptionPage j, i
				Break
			EndIf
		EndFor
		LeftDescCorner = { j, i }
		For( j = 825; j < 950; j += 1 )
			TestLine = DescriptionPage[ j ][ q + i ]
			TestLine = TestLine < 200
			If( Sum( TestLine ) > 400 )
			 	Cursor/I B DescriptionPage j, i
				Break
			EndIf
		EndFor
		RightDescCorner = { j, i }
		KillWaves/Z TestLine
	End
	
------------------------------------------------

	Function ResetCursors( )
		WAVE LeftDescCorner, RightDescCorner
		LeftDescCorner = { XCsr( A ), VCsr( A ) }
		RightDescCorner = { XCsr( B ), VCsr( B ) }
	End
	
------------------------------------------------

	Function AddDepth2Descriptions( )
		SetDataFolder root:
			String/G G_Hole, G_DepthScale
			String Hole = G_Hole, DepthScale = G_DepthScale
			Prompt Hole, "Hole"
			Prompt DepthScale, "Depth Scale", popup, "CSF;CCSF"
			DoPrompt "AddDepth2Descriptions", Hole, DepthScale; AbortOnValue V_Flag, 0
			G_Hole = Hole; G_DepthScale = DepthScale	
			If( StrSearch( WaveList( "*Matrix", ",", "" ), Hole + "_Coring_Matrix", 0, 2 ) < 0 )
				ABORT "I can't find " + Hole + "_Coring_Matrix in the root directory"
			EndIf
			Wave Matrix = $Hole + "_Coring_Matrix"
		NewDataFolder/O/S $Hole + "_CoreDescriptions"
			String WList = WaveList( "*_Description", ";", "" )
			Variable i, CoreNum
			For( i = 0; i < ItemsInList( WList ); i += 1 )
				WAVE DescriptionWv = $StringFromList( i, WList )
				CoreNum = Str2Num( SecondPart( StringFromList( i, WList ) ) )
				Make/O/N = ( DimSize( Matrix, 1 ) )  Depths, Lengths
				If( StringMatch( DepthScale, "CCSF" ) )
					Depths = Matrix[ CoreNum ][ p ][ 2 ]
				Else
					Depths = Matrix[ CoreNum ][ p ][ 0 ]
				EndIf
				Lengths = Matrix[ CoreNum ][ p ][ 1 ]
				WaveStats/Q Depths
				SetScale/I y Depths[ 1 ], V_Max + Lengths[ V_MaxLoc ],"mCCSF", DescriptionWv
			EndFor
			KillWaves/Z Depths, Lengths
		SetDataFolder root:
	End			
	
------------------------------------------------

	Function DisturbanceCut( )	
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole
			Prompt Hole, "Hole"
			DoPrompt "DisturbanceCut", Hole; AbortOnValue V_Flag, 0
			G_Hole = Hole
		SetDataFolder $Hole + "_CoreDescriptions"
			String WvList = WaveList( "*Description", ";", "" )
			Variable i, j	
			For( i = 0;	i < ItemsInList( WvList ); i += 1 )	
				WAVE WvName  = $StringFromList( i, WvList )
				Make/B/U/O/N = ( 11, DimSize( WvName, 1 ) )  $Hole + "_" + SecondPart( StringFromList( i, WvList ) ) + "_Disturb"
				WAVE Disturb = $Hole + "_" + SecondPart( StringFromList( i, WvList ) ) + "_Disturb"
				Disturb = NaN
				Disturb[ ][ ] = WvName[ p + 265 ][ q ]
				CopyScales/P WvName Disturb
				MatrixTranspose Disturb
				ImageThreshold/Q/T=200/O Disturb
			EndFor
		SetDataFolder root:
	End
