﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Menu "CODD_Image"
		"CoreImagePNGFIles"
	End

	Function CoreImagePNGFiles( )
		SetDataFolder root:
			If( StrLen( PathList( "Image_Path", ";", "" ) ) == 0 )
				DoAlert 0, "You need to select a folder for the PNG files."
				NewPath Image_Path
			EndIf	
			String Folders = FolderList( "_S2" ), FileName
			Variable i, j, Length
			String FolderName, Images
			For( i = 0; i < ItemsInList( Folders ); i += 1 )
				FolderName = StringFromList( i, Folders )
				SetDataFolder $"root:" + FolderName
					Images = WaveList( "*", ";", "DIMS:3" )
					For( j = 0; j < ItemsInList( Images ); j += 1 )
						WAVE ImageWv = $StringFromList( j, Images )
						Length = 100 * ( RightX( ImageWv ) - LeftX( ImageWv ) )
						KillWindow/Z PNGGraph
						Display/W = ( 0, 70, Length, 230 ); AppendImage ImageWv
						EXECUTE "DoWindow/C PNGGraph"
						EXECUTE "PNGStyle()"
						FileName = StringFromList( j, Images )[ 4, inf ] + ".png"
						Label/Z bottom FileName[ 0, StrLen( FileName ) - 5 ] + " Depth ( mcd )\\u#2"
						SavePICT/O/P = Image_Path /E = -5 /B = 288 as FileName
					EndFor
			EndFor
		SetDataFolder root:			
	End
	
		
	Proc PNGStyle() : GraphStyle
		PauseUpdate; Silent 1		// modifying window...
		ModifyImage/Z [0] ctab= {*,*,Grays,0}
		ModifyGraph/Z tick(left)=3
		ModifyGraph/Z mirror=0
		ModifyGraph/Z nticks=10
		ModifyGraph/Z minor=1
		ModifyGraph/Z noLabel(left)=2
		ModifyGraph/Z axThick(left)=0
		ModifyGraph/Z margin(left)=1,margin(right)=1,width=0
	EndMacro
