#pragma rtGlobals=1		// Use modern global access method and strict wave access.

Menu "Functions"
	"Add_Points/F2",/Q
	"Age_ReCalc/F3",/Q
End


// Cursor A goes on the reference wave and Cursor B on the wave to be stretched

Macro Add_Points()
	String Site=root:G_Site; SetDataFolder root:
	If(Exists(Site+"_New_Age"))
		Redimension/N=(NumPnts($Site+"_New_Age")+1) $Site+"_New_Age", $Site+"_New_Depth", $Site+"_New_Ref_Depth"
		$Site+"_New_Age"[NumPnts($Site+"_New_Age")]=HCsr(A)
		$Site+"_New_Depth"[NumPnts($Site+"_New_Depth")]=CursorB_Age_2_CCSF()
		$Site+"_New_Ref_Depth"[NumPnts($Site+"_New_Ref_Depth")]=CursorA_Age_2_CCSF()
		Sort $Site+"_New_Age" $Site+"_New_Depth",$Site+"_New_Ref_Depth",$Site+"_New_Age"
		Duplicate/O $Site+"_New_Age" $Site+"_New_Age_Ones"
		$Site+"_New_Age_Ones"=1; $Site+"_New_Age_Ones"[0]=0
	Else
		Abort Site+"_New_Age does not exist"
	EndIf
End

*************************************************************

//Macro Age_Recalc(Site,YesNo)
	String Site=root:G_Site,YesNo=root:G_YesNo; SetDataFolder root:
	Prompt YesNo, "Include Image Recalculation?", popup, "Yes;No"
	Duplicate/O fit_U850_All_Depth U850_Depth
	Duplicate/O fit_U850_x U850_Age

	WaveStats/Q U850_New_Depth
	Duplicate/O U850_Depth Mask
	Mask=((U850_Depth<V_Min) || (U850_Depth>=V_Max))// && ((U850_Age>V_Min) || (U850_Depth>=V_Max))
	WaveStats/Q U850_New_Age
	Mask*=((U850_Age<V_Min) || (U850_Age>=V_Max))
	Mask-=1; Mask=Sqrt(Mask); Mask+=1
	U850_Depth*=Mask; U850_Age*=Mask
	Concatenate/NP "U850_New_Depth;", U850_Depth; Concatenate/NP "U850_New_Age;", U850_Age;
	Sort U850_Depth U850_Age, U850_Depth
	WaveStats/Q U850_Depth
	ReDimension/N=(V_Npnts) U850_Depth, U850_Age
	Data_Depth_To_Age_XY("U850","GRA","U850_Age","U850_Depth")
	Data_Depth_To_Age_XY("U850","MS","U850_Age","U850_Depth")	
	If(StringMatch("Yes",YesNo))
		Image_Depth_2_Age_XY("U850","U850_Age","U850_Depth",2)
	Endif
		root:G_YesNo=YesNo
EndMacro

*************************************************************

Macro Age_Recalc(Site,YesNo)
	String Site=root:G_Site,YesNo=root:G_YesNo; SetDataFolder root:
	Prompt YesNo, "Include Image Recalculation?", popup, "Yes;No"
	Silent 1; PauseUpdate;
	WaveStats/Q $Site+"_New_Depth"
	Duplicate/O $Site+"_Depth" Mask
	Duplicate/O $"fit_"+Site+"_All_Depth" $Site+"_Depth"
	Duplicate/O $"fit_"+Site+"_x" $Site+"_Age"
	Mask=($Site+"_Depth"<V_Min) || ($Site+"_Depth">=V_Max)
	WaveStats/Q$Site+"_New_Age"
	Mask*=(($Site+"_Age"<V_Min) || ($Site+"_Age">=V_Max))
	Mask-=1; Mask=Sqrt(Mask); Mask+=1
	$Site+"_Depth"*=Mask; $Site+"_Age"*=Mask
	Concatenate/NP Site+"_New_Depth;", $Site+"_Depth"; Concatenate/NP Site+"_New_Age;", $Site+"_Age";
	Sort $Site+"_Depth" $Site+"_Age", $Site+"_Depth"
	WaveStats/Q $Site+"_Depth"
	ReDimension/N=(V_Npnts) $Site+"_Depth", $Site+"_Age"
	GRA_Depth_To_Age_XY(Site,"GRA")
	MS_Depth_To_Age_XY(Site,"MS")	
	Data_Depth_To_Age_XY(Site,"XRF",Site+"_Age",Site+"_Depth")	
	If(StringMatch("Yes",YesNo))
		Image_Depth_2_Age_XY(Site,Site+"_Age",Site+"_Depth",2)
	Endif
		root:G_YesNo=YesNo
		ModifyGraph offset={0,0}
EndMacro

*************************************************************


//Macro Age_Recalc(Site,YesNo)
	String Site=root:G_Site,YesNo=root:G_YesNo; SetDataFolder root:
	Prompt YesNo, "Include Image Recalculation?", popup, "Yes;No"
	WaveStats/Q New_Depth
	Duplicate/O $Site+"_Depth" Mask
	Duplicate/O $"fit_"+Site+"_All_Depth" $Site+"_Depth"
	Duplicate/O $"fit_"+Site+"_x" $Site+"_Age"
	Mask=($Site+"_Depth"<V_Min) || ($Site+"_Depth">=V_Max)
	Mask-=1; Mask=Sqrt(Mask); Mask+=1
	$Site+"_Depth"*=Mask; $Site+"_Age"*=Mask
	Concatenate/NP "New_Depth;", $Site+"_Depth"; Concatenate/NP "New_Age;", $Site+"_Age";
	Sort $Site+"_Depth" $Site+"_Age", $Site+"_Depth"
	WaveStats/Q $Site+"_Depth"
	ReDimension/N=(V_Npnts) $Site+"_Depth", $Site+"_Age"
	Data_Depth_To_Age_XY(Site,"GRA",Site+"_Age",Site+"_Depth")
	Data_Depth_To_Age_XY(Site,"MS",Site+"_Age",Site+"_Depth")
	Data_Depth_To_Age_XY(Site,"XRF",Site+"_Age",Site+"_Depth")
	If(StringMatch("Yes",YesNo))
		Image_Depth_2_Age_XY(Site,Site+"_Age",Site+"_Depth",2)
	Endif
		root:G_YesNo=YesNo
EndMacro





