#pragma rtGlobals=3		// Use modern global access method.

	//
	//	Make_ODP_Globals() sets up a number of global variables in the root directory so that values can
	//		be carried forward from one macro run to the next.
	//
	
	Menu "Macros"
		"Make_ODP_Globals"
	End
	
	Function Make_ODP_Globals()
		SetDataFolder root:
		SVAR G_Site
		String Site
		If( Exists( "G_Site" ) )
			Site = G_Site
		EndIf
		Prompt Site, "Site Number (e.g. U1143) DO NOT INCLUDE THE HOLE:"
		DoPrompt "Make_ODP_Globals", Site; AbortonValue V_Flag, 1
		String/G G_Site = Site, G_Hole = Site+"A", G_Type = "H", G_Data = "GRA", G_Technique = "GRA"
		String/G G_S1, G_S2, G_S3, G_S4, G_S5, G_S6, G_S7, G_S8, G_S9;
		String/G G_Core_Image, G_Folder = "K_U1219A_01H"
		String/G G_Scale = "CCSF", G_Axis_Portion = "0.0,1.0", G_X_Scale = "CCSF"
		String/G G_Core_Number_Location = "5,7", G_Save_K = "Y"
		String/G G_Section_Number_Location = "9,10", G_Image_Extension = ".jpg"
		String/G G_YesNo = "Y", G_New_or_App = "Append", G_X_Axis_Pos = "B", G_LorR = "R"
		String/G G_SiteW, G_HoleW, G_CoreW, G_SectionW, G_IntervalW


		Variable/G G_Core_Num = 1, G_Core = 1,G_Section = 1, G_Width = 100
		Variable/G G_V1, G_V2, G_V3, G_V4, G_V5, G_V6, G_V7, G_V8, G_V9,G_V10, G_v20, G_v21;
		Variable/G G_Type_Location = 8, G_Resolution = .02;
		Variable/G G_X_Position = 4, G_Y_Position = -5
		Variable/G G_SectionNum = 1, G_Depth_Slice
		Variable/G G_V_Top, G_V_Bottom, G_Range_Incr
		Variable/G G_CsrA_Position, G_CsrB_Position, G_CsrC_Position, G_CsrD_Position
		Variable/G G_AxisTop = 100, G_AxisBottom = 0
		
		// Stretching Globals
		String/G G_SiteChoice, G_Species, G_CCSF, G_Uncert, G_TopBottom
		String/G G_StretchSite = "U999", G_BaseSite = "U999", G_BTies, G_STies, G_OutPutWv, G_InPutWv, G_Fldr
		Variable/G G_TopPC, G_BottomPC
		
		// Affine Table Globals
		String/G G_DataUsed
		Variable/G G_LastH
		
		// Spectral Globals
		String/G G_Age_Data, G_Depth_Data, G_DataFolder = " "
		String/G G_OutputName, G_Data_Wave, G_Depth_Wave, G_Smooth_FNC
		String/G G_P_or_N = "P", G_A_or_M = "M", G_Watch = "N", G_SPeriod = ""
		Variable/G Delta_t, Delta_z, G_CsrADepth = 0
		Variable/G G_Top_Age, G_Period_Track, G_Taper_Length, G_Fit
		Variable/G G_S_end, G_S_start, G_Jump, P_Start, G_Total_Points, G_Segment_Length;
		Variable/G G_Sed_Rate = 30, G_CursorX, G_Smoothing_Number, G_Residual, G_Increment, G_Poly_Order = 7
		Variable/G Center, G_Cntr = 0, G_Qcsr;

		// Tuning Globals
		String/G G_Ewave, G_Twave, G_Pwave, G_OutPut
		Variable/G G_Eweight, G_Tweight, G_Pweight
		String/G G_DataWv, G_DataDepthWv, G_TargetWv, G_TargetAgeWv		

		
	End
	
