#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Function Record_Data_Ties()
		DFREF datadfr = GetDataFolderDFR()  	// Records current DataFolder location
		WAVE WW = $CsrWave( B )
		If( WaveDims( WW ) > 1 )
			ABORT "Cursors are on an Image, not a Data Wave"
		EndIf
		SetDataFolder root:  						// Sets pointer to root: where Globals reside
			SVAR G_Site = G_Site, G_S1 = G_S1					// Sets value of G_Site etc
			NVAR G_V1 = G_V1, G_V2 = G_V2, G_Core = G_Core	// Sets more Globals
			String Tie_Folder = "root:"+ G_Site+"_Tie_Points"	// Tie_Folder location in Tie_Folder
		SetDataFolder $Tie_Folder							// Sets pointer to Tie folder
			String Hole = DataWaveHole( CsrWave( b ) )
			String Technique = DataWaveTechnique( CsrWave( b ) )
			String Core_Wave = "root:"+ G_Site + "_" + Technique + ":" + Hole + "_" + Technique + "_Core"  // Identifies Core wave for appropriate hole and data
			WAVE CW = $Core_Wave  // Declares CW to be the core wave ( e.g. core 1,  2, etc )
			String Splice_Pts, Core_Pts
			If( CW[ PCsr( B ) ] < 10 ) // If core number is < 10, a zero is placed in the core number ( e.g. 01, 02, ... )
				Splice_Pts = Hole + "_0" + Num2Str( CW[ PCsr( B ) ] ) + "_Splice_Ties" // Makes string for Hole + Core splice ties
				Core_Pts = Hole + "_0" + Num2Str( CW[ PCsr( B ) ] ) + "_Core_Ties" // Makes string for Hole + Core core ties
			Else
				Splice_Pts = Hole + "_" + Num2Str( CW[ PCsr( B ) ] ) + "_Splice_Ties"
				Core_Pts = Hole + "_" + Num2Str( CW[ PCsr (B ) ] ) + "_Core_Ties"	
			EndIf
			WAVE SP = $Splice_Pts, Splice_Ties // SP is the wave that holds the spliced data tie points. Splice_Ties holds the working splice points
			WAVE CP = $Core_Pts, Core_Ties  // Ditto above for core data tie points and Core_Ties
			If( !Exists( Splice_Pts ) )
				Make/O/N=0 $Splice_Pts, Splice_Ties // Creates the core-specific splice tie wave if it does not already exist. Clears local points
				Make/O/N=0 $Core_Pts, Core_Ties // Creates the core-specific core tie wave if it does not already exist. Clears local points
			EndIf
			InsertPoints 0,1, Splice_Ties // Inserts 1 point into the top of the splice ties wave
			InsertPoints 0,1, Core_Ties // Same for core tie wave
			Splice_Ties[0] = hcsr(a) // Records cursor x position
			Core_Ties[0] = hcsr(b)  // Records cursor x position
			Duplicate/O Splice_Ties  Ones, Numbers, $Splice_Pts // Duplicates local ties into core-specific tie waves. Ones and Numbers are for plotting
			Duplicate/O Core_Ties $Core_Pts // Same as above
			Ones = 0.5; Numbers = x // For plotting
					// This next bit is some bookeeping to avoid an error if a core is stretched and then later re-stretched to a shorter length
			WaveStats/Q Splice_Ties
			If( G_V1 >  V_Min )
				G_V1 = V_Min
			EndIf
			If( G_V2 < V_Max )
				G_V2 = V_Max
			EndIf
				// Since the Data plots are continuous (as opposed to core images) all splice points are plotted, so they have to concatenated	
		//	Concatenate_Ties( Hole )
			WAVE TW = $Hole + "_Splice_Ties" 
			Duplicate/O TW Hole_Ones, Hole_Numbers // Plotting devices for all splice points
			Hole_Numbers = x; Hole_Ones = 0.5
		SetDataFolder datadfr					// Returns pointer to original Data Folder	
		
	End