#pragma rtGlobals=1		// Use modern global access method.

------------------------------------------------------

//	 S2_Reduce_Image_Size() is a macro that reduces the size of a core image . It uses an interpolation
//		from IGOR. The reduced size images are handy for multiple hole experiments in order to keep the overall
//		size of the experiment manageable.
//
//		The reduction for the images cut from core boxes is less than for the linescan images because they are of
//		lower resolution to begin with.

	Function S2_Reduce_Image_Size(  )
		SetDataFolder root:
			String S_Hole, S_Note
			Variable Xscale, YPoints;
			String Small_Image, Image_Name
			Variable i = 0
		SetDataFolder root:
			String/G G_Hole
			S_Hole = G_Hole; Xscale = .002; YPoints = 101
			Prompt S_Hole, "Hole: "
			Prompt Xscale, "X (depth) resolution (m) "
			Prompt YPoints, "Number of Y (width) Points "
			Doprompt "S2_Reduce_Image_Size", S_Hole, Xscale, YPoints; AbortonValue V_Flag, 0
			Variable Top_Depth, Bottom_Depth, HiResPoints, HiResScale, ScaledPoints, HiResYPoints
			G_Hole = S_Hole
			String Folder = S_Hole + "_S2"
		NewDataFolder/O/S $S_Hole + "_S2"
			KillWaves/A/Z
		SetDataFolder root:
			PauseUpdate
			Do
				Image_Name = StringFromList (i, Wavelist( S_Hole + "*", ";", "DIMS:3" ) )
				If( StrSearch( Image_Name, "Matrix", 0 ) < 1 )
					WAVE Image = $Image_Name
					If( !StrLen( Image_Name ) )
						Break
					EndIf
					HiResScale = DimDelta( Image, 0 )
					HiResYPoints = DimSize( Image, 1 )
					Imageinterpolate/F = { (HiResScale / Xscale ), ( YPoints / HiResYPoints ) } bilinear Image
					CopyScales/I Image, M_InterpolatedImage
					Redimension/B/U M_InterpolatedImage
					Duplicate/O M_InterpolatedImage $"S2_" + Image_Name
					S_Note = note( Image )
					Note $"S2_" + Image_Name, S_Note
					i += 1
					MoveWave $"S2_" + Image_Name, $"root:" + S_Hole + "_S2:"
				Else
					i += 1
				EndIf
			While( 1 )
		Killwaves/Z M_InterpolatedImage
	SetDataFolder root:
	End

