#pragma rtGlobals=1		// Use modern global access method.
	
	
	// This function calculates CCSF in the splice tie table based on the latest offsets
	
	Function Splice_Tie_CCSF_ReCalc()
		SetDataFolder root:
			Variable i
			String/G G_Site
			String Site = G_Site
			Prompt Site, "Site"
			DoPrompt "Splice_Tie_CCSF_ReCalc", Site
			G_Site = Site
			PauseUpdate
		SetDataFolder $Site+"_Splice_Ties"
			WAVE CCSF_Bottom, CSF_Bottom, Core_Bottom, Section_Bottom, Interval_Bottom
			WAVE/T Hole_Bottom
			WAVE CCSF_Top, CSF_Top, Core_Top, Section_Top, Interval_Top
			WAVE/T Hole_Top
			For( i = 0; i < Numpnts( CCSF_Bottom ); i += 1 )
				WAVE CoringMatrix = $"root:" + Site + Hole_Bottom[ i ] + "_Coring_Matrix"
				CCSF_Bottom[ i ] = CoringMatrix[ Core_Bottom[ i ] ] [ Section_Bottom[ i ] ][ 2 ] + ( Interval_Bottom[ i ] / 100 )
				 CSF_Bottom[ i ] = CoringMatrix[ Core_Bottom[ i ] ] [ Section_Bottom[ i ] ][ 0 ] + ( Interval_Bottom[ i ] / 100 )
			EndFor
			For( i = 0; i < Numpnts( CCSF_Top ); i += 1 )
				WAVE CoringMatrix = $"root:" + Site + Hole_Top[ i ] + "_Coring_Matrix"
				CCSF_Top[ i ] = CoringMatrix[ Core_Top[ i ] ] [ Section_Top[ i ] ][ 2 ] + ( Interval_Top[ i ] / 100 )
				 CSF_Top[ i ] = CoringMatrix[ Core_Top[ i ] ] [ Section_Top[ i ] ][ 0 ] + ( Interval_Top[ i ] / 100 )
			EndFor
		SetDataFolder root:
	End
	
	----------------------------------------------------------------------------
	
	Macro Splice_Interval_CCSF_ReCalc(Site)
		String Site=root:G_Site
		Variable i=0;
		String S_Top, S_Bottom
		Silent 1;
		PauseUpdate
		SetDataFolder root:
		root:G_Site=Site
		SetDataFolder root:$Site+"_Splice_Intervals"
		Do
			S_Bottom="root:"+Site+Hole_Top[i]+"_Coring_Matrix"
			CCSF_Bottom[i]=$S_Bottom[Core_Top[i]][Section_Bottom[i]][2]+(Interval_Bottom[i]/100)
			CSF_Bottom[i]=$S_Bottom[Core_Top[i]][Section_Bottom[i]][0]+(Interval_Bottom[i]/100)
			i+=1;
		While(i<NumPnts(CCSF_Bottom))
		i=0;
		Wavestats/Q CCSF_Top
		Do
			S_Top="root:"+Site+Hole_Top[i]+"_Coring_Matrix"
			CCSF_Top[i]=$S_Top[Core_Top[i]][Section_Top[i]][2]+(Interval_Top[i]/100)
			CSF_Top[i]=$S_Top[Core_Top[i]][Section_Top[i]][0]+(Interval_Top[i]/100)
			i+=1;
		While(i<V_Npnts)
		SetDataFolder root:
	EndMacro
	
	
		
//	Macro Splice_Tie_CCSF_ReCalc(Site)
		String Site=root:G_Site
		Variable i=0;
		String S_Top, S_Bottom
		Silent 1;
		PauseUpdate
		SetDataFolder root:
		root:G_Site=Site
		SetDataFolder root:$Site+"_Splice_Ties"
		Do
			S_Bottom="root:"+Site+Hole_Bottom[i]+"_Coring_Matrix"
			CCSF_Bottom[i]=$S_Bottom[Core_Bottom[i]][Section_Bottom[i]][2]+(Interval_Bottom[i]/100)
			CSF_Bottom[i]=$S_Bottom[Core_Bottom[i]][Section_Bottom[i]][0]+(Interval_Bottom[i]/100)
			i+=1;
		While(i<NumPnts(CCSF_Bottom))
		i=0;
		Wavestats/Q CCSF_Top
		Do
			S_Top="root:"+Site+Hole_Top[i]+"_Coring_Matrix"
			CCSF_Top[i]=$S_Top[Core_Top[i]][Section_Top[i]][2]+(Interval_Top[i]/100)
			CSF_Top[i]=$S_Top[Core_Top[i]][Section_Top[i]][0]+(Interval_Top[i]/100)
			i+=1;
		While(i<V_Npnts)
		SetDataFolder root:
	EndMacro
	
	----------------------------------------------------------------------------

