#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function is used for offsplice core stretching

	Function StretchOffSpliceData()
		SetDataFolder root:
			WAVE Core_Ties, Splice_Ties
			String/G G_Hole, G_Data, G_Technique
			String Hole = G_Hole, Data = G_Data, Technique = G_Technique
			Prompt Hole, "Hole ( e.g. U925B ):"
			Prompt Technique, "Technique:"
			Prompt Data, "Data:"
			DoPrompt "StretchOffSpliceData", Hole, Technique, Data; AbortOnValue V_Flag, 0
			String Site = RemoveEnding( Hole )
			G_Hole = Hole, G_Data = Data, G_Technique = Technique
			StretchOffSpliceData_F( Hole, Technique, Data )
			Print "StretchOffSpliceData_F( \"" + Hole + "\", \"" + Technique +"\", \"" + Data + "\" )"
	End


	Function StretchOffSpliceData_F( Hole, Technique, Data )
			String Hole, Data, Technique
		SetDataFolder root:
			WAVE Core_Ties, Splice_Ties
			If( NumPnts( Core_Ties ) == 0 )
				ABORT "There are no Core Ties yet to use to stretch the data. Make a few ties and then try again."
			EndIf	
			String/G G_Hole, G_Data, G_Technique
			String Site = RemoveEnding( Hole )
			G_Hole = Hole, G_Data = Data, G_Technique = Technique
		SetDataFolder $Site + "_" + Technique
			WAVE DataWv = $Hole + "_" + Technique + "_" + Data
			WAVE DepthWv = $Hole + "_" + Technique + "_CCSF"
			WAVE CoreWv = $Hole + "_" + Technique + "_Core"
			If( !WaveExists( DataWv ) )
				ABORT "I can't find " + Hole + "_" + Technique + "_" + Data + " in the Folder " + Hole + "_" + Technique
			Endif
		NewDataFolder/O/S $"root:Xtras"
			Duplicate/O DepthWv $Hole + "_" + Technique + "_CCSFstr"
			Duplicate/O DataWv $Hole + "_" + Technique + "_" + Data + "str"
			WAVE StrDepthWv = $Hole + "_" + Technique + "_CCSFstr"
			WAVE StrDataWv = $Hole + "_" + Technique + "_" + Data + "str"
			StrDepthWv = interp( DepthWv, Core_Ties, Splice_Ties )
			WaveStats/Q Splice_Ties
			StrDepthWv = ( StrDepthWv < V_Min || StrDepthWv > V_Max ) ? NaN : StrDepthWv
			StrDataWv *= ( StrDepthWv > 0 )
			StrDataWv = StrDataWv == 0 ? NaN : StrDataWv
		SetDataFolder root:
	End	



//	Function StretchOffSpliceData_F( Hole, Technique, Data )
			String Hole, Data, Technique
		SetDataFolder root:
			WAVE Core_Ties, Splice_Ties
			If( NumPnts( Core_Ties ) == 0 )
				ABORT "There are no Core Ties yet to use to stretch the data. Make a few ties and then try again."
			EndIf	
			String/G G_Hole, G_Data, G_Technique
			String Site = RemoveEnding( Hole )
			G_Hole = Hole, G_Data = Data, G_Technique = Technique
		SetDataFolder $Site + "_" + Technique
			WAVE DataWv = $Hole + "_" + Technique + "_" + Data
			WAVE DepthWv = $Hole + "_" + Technique + "_CCSF"
			WAVE CoreWv = $Hole + "_" + Technique + "_Core"
			Duplicate/O DepthWv $Hole + "_" + Technique + "_CCSFstr"
			Duplicate/O DataWv $Hole + "_" + Technique + "_" + Data + "str"
			WAVE StrDepthWv = $Hole + "_" + Technique + "_CCSFstr"
			WAVE StrDataWv = $Hole + "_" + Technique + "_" + Data + "str"
			StrDepthWv = interp( DepthWv, Core_Ties, Splice_Ties )
			WaveStats/Q Splice_Ties
			StrDepthWv = ( StrDepthWv < V_Min || StrDepthWv > V_Max ) ? NaN : StrDepthWv
			StrDataWv *= ( StrDepthWv > 0 )
			StrDataWv = StrDataWv == 0 ? NaN : StrDataWv
		SetDataFolder root:
	End	