#pragma rtGlobals=3		// Use modern global access method and strict wave access.



**********************************************************************************
	
	Function TuningETPWave( )
		SetDataFolder root:
			SVAR  G_Ewave, G_Twave, G_Pwave, G_OutPut
			NVAR G_Eweight, G_Tweight, G_Pweight
			String Ewave = G_Ewave, Twave = G_Twave, Pwave = G_Pwave, OutPut = G_OutPut
			Variable Eweight = G_Eweight, Tweight = G_Tweight, Pweight = G_Pweight
		SetDataFolder $"root:Target_Data"
			Prompt Ewave, "Choose Eccentricity Wave", popup, WaveList( "*", ";", "DIMS:1" )		
			Prompt Twave, "Choose Tilt Wave", popup, WaveList( "*", ";", "DIMS:1" )		
			Prompt Pwave, "Choose Precession Wave", popup, WaveList( "*", ";", "DIMS:1" )
			Prompt Eweight, "Eccentricity Weighting:"
			Prompt Tweight, "Obliquity Weighting:"
			Prompt Pweight, "Precession Weighting:"
			Prompt OutPut, "Output Wave Name:"
			DoPrompt "ETPWave", Ewave, Eweight, Twave, Tweight, Pwave, Pweight, OutPut; AbortOnValue V_Flag, 0
			WAVE Ewv = $Ewave, Twv = $Twave, Pwv = $Pwave
			G_Ewave = Ewave; G_Twave = Twave; G_Pwave = Pwave; G_OutPut = OutPut
			G_Eweight = Eweight; G_Tweight = Tweight; G_Pweight = Pweight

			WaveStats/Q Ewv; Variable EwvAvg = V_Avg, EwvSd = V_Sdev
			WaveStats/Q Twv; Variable TwvAvg = V_Avg, TwvSd = V_Sdev
			WaveStats/Q Pwv; Variable PwvAvg = V_Avg, PwvSd = V_Sdev

			Duplicate/O Ewv $OutPut
			Wave Outwv = $OutPut
			Outwv = ( ( ( Ewv - EwvAvg ) / EwvSd ) * Eweight ) + ( ( ( Twv - TwvAvg ) / TwvSd )  * Tweight ) + ( ( ( Pwv - PwvAvg ) / PwvSd ) * Pweight )
		SetDataFolder root:			
	End
