#pragma rtGlobals=3		// Use modern global access method and strict wave access.



*******************************************************************************************************

	Function Tuning_SetUp( )
		SetDataFolder root:
			String/G G_DFolder, G_TFolder, G_MFolder, G_ModelAge, G_ModelDepth
			SVAR G_DataWv, G_DataDepthWv, G_TargetWv, G_TargetAgeWv
			String DataWv = G_DataWv, DataDepthWv = G_DataDepthWv, TargetWv = G_TargetWv, TargetAgeWv = G_TargetAgeWv
			String DFolder = G_DFolder, TFolder = G_TFolder, MFolder = G_MFolder, ModelAge = G_ModelAge, ModelDepth = G_ModelDepth
			Prompt DFolder, "Data Folder", popup, FolderList( "*" )
			DoPrompt "Tuning_SetUp", DFolder; AbortOnValue V_Flag, 0
		SetDataFolder "root:" + DFolder
			Prompt DataWv "Data Wave", popup, WaveList( "*", ";", "" )
			Prompt DataDepthWv "Data Depth Wave", popup, WaveList( "*", ";", "" )
			DoPrompt "Tuning_SetUp" DataWv, DataDepthWv; AbortOnValue V_Flag, 0
			Wave DWv = $DataWv, DDepthWv = $DataDepthWv
			G_DataWv = DataWv, G_DataDepthWv = DataDepthWv, G_DFolder = DFolder	
			String DataAge = DataWaveHole( DataWv ) + "_" + DataWaveTechnique( DataWv ) + "_Age"
			Duplicate/O DWv $DataAge
			WAVE DAge = $DataAge		
		SetDataFolder root:
			Prompt TFolder, "Target Data Folder", popup, FolderList( "*" )
			DoPrompt "Tuning_SetUp", TFolder; AbortOnValue V_Flag, 0
		SetDataFolder "root:" + TFolder			
			Prompt TargetWv, "Target Data Wave", popup, WaveList( "*", ";", "" )
			Prompt TargetAgeWv, "Target Age Wave", popup, WaveList( "*", ";", "" )
			DoPrompt "Tuning_SetUp", TargetWv, TargetAgeWv; AbortOnValue V_Flag, 0
			Wave TWv = $TargetWv, TAgeWv = $TargetAgeWv
			G_TargetWv = TargetWv, G_TargetAgeWv = TargetAgeWv, G_TFolder = TFolder
		SetDataFolder root:
			If( !Exists( "DepthTies" ) )
				Make/O/N = 0 DepthTies, AgeTies
			Endif
			WAVE AgeTies, DepthTies	
			Prompt MFolder, "Age Model Folder", popup, FolderList( "*" )
			DoPrompt "Tuning_SetUp", MFolder; AbortOnValue V_Flag, 0
		SetDataFolder "root:" + MFolder		
			Prompt ModelAge, "Model Age Wave", popup, WaveList( "*", ";", "" )
			Prompt ModelDepth, "Model Depth Wave", popup, WaveList( "*", ";", "" )
			DoPrompt "Tuning_SetUp" ModelAge, ModelDepth; AbortOnValue V_Flag, 0
			WAVE MAgeWv = $ModelAge, MDepthWv = $ModelDepth
			G_MFolder = MFolder, G_ModelAge = ModelAge, G_ModelDepth = ModelDepth
			Duplicate/O MAgeWv MAgeValWv, MDepthValWv, MNumbers
			MNumbers = x
			MAgeValWv = interp( MAgeWv, TAgeWv, TWv )
			MDepthValWv = interp( MDepthWv, DDepthWv, DWv )					
			DoAlert/T = "Add Age Model To Ties", 2, "Add  Age Model To Ties?\r  Don't Do This More Than 1 Time For An Experiment\r  Or The Age Points Will Be Duplicated"
			Switch( V_Flag )
				Case 1:
					Concatenate/NP { MAgeWv }, AgeTies
					Concatenate/NP { MDepthWv }, DepthTies		
					Break
				Case 2:
					Break
				Case 3:
					Abort
			EndSwitch
		NewDataFolder/O/S root:Xtras	
			Duplicate/O AgeTies AgeVals, DepthVals, TieNums
			TieNums = x
			AgeVals = interp( AgeTies, TAgeWv, TWv )
			DepthVals = interp( DepthTies, DDepthWv, DWv )	
		SetDataFolder root:	
			DAge = interp( DDepthWv, DepthTies, AgeTies )
			WaveStats/Q AgeTies
			DAge = DAge > V_Max ? NaN : DAge	
	
	TuningSedRateCalc( )
	SedRateGraph( )	
			PauseUpdate
		SetDataFolder $DFolder
			Display /W=(513,45,1996,638)/L=Data/B=Depth DWv vs DDepthWv as "Tuning"
			AppendToGraph/L=Target/T=Age TWv vs TAgeWv
			AppendToGraph/L=Target/T=Age MAgeValWv vs MAgeWv
			AppendToGraph/L=Data/B=Depth MDepthValWv vs MDepthWv
			AppendToGraph/L=Target/T=Age ::Xtras:AgeVals vs ::AgeTies
			AppendToGraph/L=Data/B=Depth ::Xtras:DepthVals vs ::DepthTies
			AppendToGraph/L=DataVsAge/T=Age DWv vs DAge
			AppendToGraph/L=DataVsAge/T=Age DepthVals vs AgeTies
		SetDataFolder root:
			ModifyGraph axisEnab(Data)={0,0.33}
			ModifyGraph axisEnab(Target)={0.33,0.66}
			ModifyGraph axisEnab(DataVsAge)={0.66,1}
			ModifyGraph mirror(Data)=2,mirror(Target)=2,mirror(DataVsAge)=2
			ModifyGraph nticks(Depth)=10,nticks(Age)=10
			ModifyGraph minor(Data)=1,minor(Depth)=1,minor(Target)=1,minor(Age)=1
			ModifyGraph freePos(Data)=0
			ModifyGraph freePos(Depth)=0
			ModifyGraph freePos(Target)=0
			Label Target "\\Z12" + TargetWv + "\\u#2"
			ModifyGraph lblPos(Target)=60
			Label Data "\\Z12" + DataWv + "\\u#2"
			ModifyGraph lblPos(Data)=60
			Label DataVsAge "\\u#2"
			ModifyGraph freePos(Age)=0
			ModifyGraph freePos(DataVsAge)=0
			ModifyGraph mode(MAgeValWv)=3,mode(MDepthValWv)=3,mode(AgeVals)=3,mode(DepthVals)=3
			ModifyGraph mode(DepthVals#1)=3
			ModifyGraph marker(MAgeValWv)=42,marker(MDepthValWv)=42			
			ModifyGraph rgb( $DataWv )=(0,0,0), rgb( $TargetWv )=(0,43690,65535),rgb(AgeVals)=(2,39321,1)
			ModifyGraph rgb(DepthVals)=(2,39321,1),rgb(DepthVals#1)=(19675,39321,1)
			ModifyGraph msize(MAgeValWv)=7,msize(MDepthValWv)=7,msize(AgeVals)=7,msize(DepthVals)=7
			ModifyGraph msize(DepthVals#1)=7
			ModifyGraph mrkThick(MAgeValWv)=2,mrkThick(MDepthValWv)=2
			ModifyGraph gaps($DataWv)=0
			ModifyGraph textMarker(MAgeValWv)={ MNumbers,"default",0,0,5,0.00,0.00}
			ModifyGraph textMarker(MDepthValWv)={MNumbers,"default",0,0,5,0.00,0.00}
			ModifyGraph textMarker(AgeVals)={TieNums,"default",1,0,5,0.00,0.00},textMarker(DepthVals)={TieNums,"default",1,0,5,0.00,0.00}
			ModifyGraph textMarker(DepthVals#1)={TieNums,"default",1,0,5,0.00,0.00}
			ShowInfo
			
			TuningAlignTieRange_F( 0, NumPnts( AgeTies ) - 1 )
	End

